
#ifndef _GXPRINTING_
#define _GXPRINTING_


#ifndef __EVENTS__
#include <Events.h>
#endif

#ifndef __GXTYPES__
#include <GXTypes.h>
#endif

#ifndef __GXPRINTING__
#include <GXPrinting.h>
#endif


/**\
|**| ==============================================================================
|**| PUBLIC DEFINES
|**| ==============================================================================
\**/
#define r_printJobType	'JOB '


/**\
|**| ==============================================================================
|**| PUBLIC TYPEDEFS
|**| ==============================================================================
\**/
typedef struct GXPrintLoopParams
{
	gxJob			theJob ;
	WindowRef		window ;		// the window to print from
	GrafPtr			printingPort ;	// the dprot to print into
	long			firstPage ;
	long			lastPage ;
	long			currentPage ;
	gxViewPort		printViewPort ;
	
} GXPrintLoopParamsRec, *GXPrintLoopParamsPtr, **GXPrintLoopParamsHdl ;


/**\
|**| ==============================================================================
|**| PUBLIC FUNCTION PROTOTYPES
|**| ==============================================================================
\**/
OSErr		GXPrinting_present		( void ) ;
OSErr		GXPrinting_available	( void ) ;
OSErr		GXPrinting_initialize	( void ) ;
void		DisposeGXPrinting		( void ) ;

OSErr		GetDefaultGXJob			( gxJob *theJob ) ;
OSErr		LoadResourceGXJob		( gxJob *theJob, FSSpec *spec ) ;
OSErr		SaveResourceGXJob		( gxJob theJob, FSSpec *spec ) ;

OSErr		GXGetPageSize			( gxJob theJob, Rect *pageRect ) ;

OSErr 		GXStyleDlog				( gxJob	theJob ) ;
OSErr 		GXJobDlog				( gxJob	theJob ) ;

OSErr		GXPrintLoopBegin		( GXPrintLoopParamsPtr params ) ;
OSErr		GXPrintLoopPageBefore	( GXPrintLoopParamsPtr params ) ;
OSErr		GXPrintLoopPageAfter	( GXPrintLoopParamsPtr params ) ;
OSErr		GXPrintLoopEnd			( GXPrintLoopParamsPtr params ) ;


#endif